Home

# Class goog.ui.editor.Bubble

Property bubble UI element.

extends goog.events.EventTarget

Instance Method Summary
| `addPanel(string type, string title, ?Element targetElement, function ((Element|null)): undefined contentFn, boolean= opt_preferTopPosition) ⇒ string` Adds a panel to the bubble.
| `closeBubble_()` Closes the bubble.
| `createBubbleDom(!goog.dom.DomHelper dom, !Element container) ⇒ !Element` Creates and adds DOM for the bubble UI to the given container. This default implementation just returns the container itself.

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `getContainerElement() ⇒ ?Element`
| `getContentElement() ⇒ ?Element`
| `getEventHandler() ⇒ ?goog.events.EventHandler`
| `handlePopupHide()` Handles the popup's hide event by removing all panels and dispatching a HIDE event.
| `handleWindowResize_()` Handles user resizing of window.
| `hasPanelOfType(string type) ⇒ boolean` Returns whether there is already a panel of the given type.
| `isVisible() ⇒ boolean` Returns the visibility of the bubble.
| `openBubble_()` Opens the bubble.
| `positionAtAnchor_(?goog.positioning.Corner targetCorner, ?goog.positioning.Corner bubbleCorner, number overflow) ⇒ number` A helper for reposition() - positions the bubble in regards to the position of the elements the bubble is attached to.
| `removePanel(string id)` Removes the panel with the given id.
| `reposition()` Positions and displays this bubble below its targetElement. Assumes that the bubbleContainer is already contained in the document object it applies to.

Static Method Summary
| `Panel_(?goog.dom.DomHelper dom, string id, string type, string title, ?Element targetElement, boolean preferBottomPosition)` Private class used to describe a bubble panel.